# Note wine fonts untested on non ALT build env
%if %{_vendor} != "alt"
# ALT compatibility on other platforms
# TODO: rpm-build-altlinux-compatibility rpm package
BuildRoot: /home/lav/tmp/%name-%version
%define post_ldconfig /sbin/ldconfig
%define unpost_ldconfig /sbin/ldconfig
%define make_build make
%define __subst subst
%define make make
%define _initdir /etc/rc.d/init.d
%define _iconsdir %_datadir/icons
%define _liconsdir %_iconsdir/mini
%define _miconsdir %_iconsdir/large
%define _man1dir %_mandir/man1
%define _menudir %_prefix/lib/menu
# default attr!
%endif

Name: wine
Version: 20050715
Release: alt0.1

Summary: Enviroment for Windows program running
Summary(ru_RU.KOI8-R):     Windows

License: LGPL
Group: Emulators
Url: http://www.winehq.com/

Packager: Vitaly Lipatov <lav@altlinux.ru>

#Source: ftp://ftp.lip6.fr/pub/linux/Wine/development/%name-%version.tar.bz2
Source: ftp://office.etersoft.ru/pub/Etersoft/%name-%version.tar.bz2

Source1: %name.init
Source2: %name-%version-launcher.sh
#Source3: %name-20050608-alt-config
#Source4: %name-%version-fonts.tar.bz2
Source5: %name-20050408-alt-wineshelllink
Source6: %name.png
Source7: %{name}_small.png
Source8: %name-autorun.sh
Source9: %name-reboot.sh

Patch1: wine-20020804-destdir.patch
Patch2: %name-20050708-alt-fixes.patch
Patch3: %name-%version-etersoft-fixes.patch

AutoReq: yes, noperl

%if %{_vendor} == "alt"
%set_verify_elf_method textrel=relaxed
%endif

#==========================================================================
%if %{_vendor} == "alt"
# For menu/MIME subsystem
Requires(post,postun): desktop-file-utils
BuildPreReq: desktop-file-utils
BuildPreReq: menu-devel
%endif

# manually removed: splint valgrind-devel hostinfo
# for docs: OpenSP docbook-dtds docbook-style-dsssl docbook-utils-print openjade sgml-common xml-common
# Automatically added by buildreq on Wed Sep 15 2004
BuildRequires: XFree86-devel flex fontconfig-devel gcc-c++ libjpeg-devel libungif-devel libuninameslist-devel zlib-devel

%if %{_vendor} == "alt"
BuildRequires: libtinfo-devel libncurses-devel 
BuildRequires: freetype2-devel libssl-devel
BuildRequires: glib2-devel
%else
BuildRequires: freetype-devel > 2.0 openssl-devel 
%endif

%if %{_vendor} != "RPM"
# Optionally:
BuildRequires: jackit-devel libGLU-devel libalsa-devel libarts-devel libcups-devel
BuildRequires: libgphoto2-devel libieee1284-devel libsane-devel libusb-devel liblcms-devel
BuildPreReq: ttmkfdir
# For fonts conversion
BuildPreReq: fontforge
%endif

BuildPreReq: gpm-devel xpm-devel util-linux
#docbook-utils

%if %{_vendor} != "RPM"
# for dlls/uuid build
BuildPreReq: glibc-devel-static
%endif

# for cross tests compiling
#BuildPreReq: i386-mingw32msvc-binutils i386-mingw32msvc-gcc 

# internal requires
Requires: %name-utils = %version-%release
Requires: lib%name = %version-%release

%if %{_vendor} == "alt"
# For internal use in wrapper scripts
Requires: Xdialog, hd2u, iconv, webclient
%endif

#=========================================================================

%description
WINE Is Not Emulator. Wine is an Open Source implementation of the Windows
API on top of X and Unix.  Think of Wine as a compatibility layer for
running Windows programs. Wine does not require Microsoft Windows,
as it is a completely free alternative implementation of the Windows
API consisting of 100% non-Microsoft code, however Wine can optionally
use native Windows DLLs if they are available. Wine provides both a
development toolkit for porting Windows source code to Unix as well as
a program loader, allowing many unmodified Windows programs to run on
x86-based Unixes, including Linux, FreeBSD, and Solaris.

It is still alpha level code; don't expect everything to work.
Check http://appdb.winehq.com/ for get info on application
compatibility with Wine.

%description -l ru_RU.KOI8-R
Wine   .    API Windows
3.x  Win32. Wine     (Winelib)
       Windows  
Unix,    ,     
Windows 3.1/95/NT       
Unix   Intel. Wine    Microsoft Windows,
    ,   100%
   Microsoft .      
""  DLL,   .

  ӣ ݣ    ,  
 ,  ӣ  .
        
http://appdb.winehq.com/

%package -n %name-utils
Summary: Wine Emulator (Utilities)
Summary(ru_RU.KOI8-R):  Wine ( )
Group: Emulators
Requires: %name = %version-%release
AutoReq: yes, noperl

%description -n %name-utils
This is an ALPHA release of Wine, the MS-Windows emulator.  This is
still a developers release and many applications may still not work.

This package consists many of the utilities provided by wine, both
for compiling source using winelib and for running wine.  This
package is not strictly necessary.

%description -n %name-utils -l ru_RU.KOI8-R
    Wine,  MS-Windows.
 ӣ ݣ  ,       . 

    ,    Wine,
      winelib
   Wine-.       
Wine.

%package -n lib%name
Summary: Main library for wine
Group: System/Libraries
Requires(pre): /bin/sed, /bin/awk, /bin/egrep
Requires: wine-fonts-ttf
Provides: libntdll.dll.so

%description -n lib%name
This is an ALPHA release of Wine, the MS-Windows emulator.  This is
still a developers release and many applications may still not work.

This package contains the library needed to run programs dynamically
linked with Wine.

%description -n lib%name -l ru_RU.KOI8-R
    Wine,  MS-Windows.
 ӣ ݣ  ,       . 

    ,   Windows API. 

%define fname wine
%define ttfdir %_datadir/fonts/%fname

%package -n %fname-fonts-ttf
Summary: WINE TrueType fonts
Group: System/Fonts/True type
PreReq: chkfontpath fontconfig

%description -n %fname-fonts-ttf
Standart WINE ttf fonts
 

########## separate libraries
%package -n lib%name-arts
Summary: arts support library for wine
Group: System/Libraries

%description -n lib%name-arts

This package contains the library for arts sound output

%package -n lib%name-twain
Summary: twain support library for wine
Group: System/Libraries

%description -n lib%name-twain

This package contains the library for twain support


##########################################################################
%package -n lib%name-devel
Summary: Headers for lib%name-devel
Group: Development/C
Requires: lib%name = %version-%release
Obsoletes: wine-devel
Provides: wine-devel

%description -n lib%name-devel
This is an ALPHA release of Wine, the MS-Windows emulator.  This is
still a developers release and many applications may still not work.

lib%name-devel contains the header files needed to
develop programs which make use of wine.
This package consists the utilities for compiling source using winelib.

%description -n lib%name-devel -l ru_RU.KOI8-R

    Wine,  MS-Windows.
 ӣ ݣ  ,       . 

lib%name-devel     ,  Wine -
   ,  
     winelib. 

%package -n lib%name-devel-doc
Summary: Documentation for lib%name-devel
Group: Development/C

%description -n lib%name-devel-doc
Development documentation for WINE API.

%package -n lib%name-devel-static
Summary: Static libraries for lib%name-devel-static
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel-static
This is an ALPHA release of Wine, the MS-Windows emulator.  This is
still a developers release and many applications may still not work.

lib%name-devel-static contains the static libraries needed to
develop programs which make use of wine.

##########################################################################

%prep
%setup -q
%patch1 -p1
%patch2 -p0
%patch3 -p0
#%patch4 -p0
%__cp -f %SOURCE5 ./tools/wineshelllink

%build
# add curses library for ALT build environment
%__subst "s|-lncurses|-lncurses -ltinfo|g" configure

# disable hard debugging for fast compiling
%__subst "s|-gstabs+||g" configure

%configure \
	--enable-dll \
	--with-x \
	--prefix=%_prefix \
	--enable-opengl

%make depend

%make_build

%if %{_vendor} == "alt"
# for new WINE
%make -C documentation htmlpages
%endif

##########################################################################

%install
%if %{_vendor} != "alt"
rm -rf $RPM_BUILD_ROOT
%endif

for i in programs/*/Makefile tools/*/Makefile; do
    perl -pi -e 's|= ..DESTDIR.//|= '$RPM_BUILD_ROOT/'|g' $i
done

%makeinstall \
	sysconfdir=%buildroot%_sysconfdir/wine \
	dlldir=%buildroot%_libdir/wine \
	includedir=%buildroot%_includedir/wine \
	LDCONFIG=/bin/true

ln -sf wine/gdi32.dll.so %buildroot%_libdir/libgdi32.dll.so
ln -sf wine/kernel32.dll.so %buildroot%_libdir/libkernel32.dll.so
ln -sf wine/ntdll.dll.so %buildroot%_libdir/libntdll.dll.so
ln -sf wine/user32.dll.so %buildroot%_libdir/libuser32.dll.so

# TODO: remove chstk run?
%if %{_vendor} == "alt"
# Enable stack execution on wine binary
for i in -kthread -pthread
do
	chstk -e %buildroot/%_bindir/wine$i
done
%endif

# Rename wine for our wrapper use
mv %buildroot/%_bindir/wine %buildroot/%_bindir/wine-glibc

# Install launcher
install -m755 %SOURCE2 %buildroot/%_bindir/wine
# if we have not fontforge
%if %{_vendor} != "alt"
cd %buildroot/%_datadir; tar xvfj %SOURCE4; cd -
%endif

# config is obsoleted since 28.06.05
#%__install -D -c -m 0644 %SOURCE3 $RPM_BUILD_ROOT/%_datadir/%name/wine.conf

# user helper scripts
install -m755 %SOURCE8 %buildroot/%_bindir/wineautorun
install -m755 %SOURCE9 %buildroot/%_bindir/winereboot

install -c -m 0755 tools/fnt2bdf %buildroot/%_bindir/fnt2bdf

# Install service script
install -D -m755 %SOURCE1 $RPM_BUILD_ROOT%_initdir/%name

%__install -D -m 644 %SOURCE7 $RPM_BUILD_ROOT/%_miconsdir/%name.png
%__install -D -m 644 %SOURCE6 $RPM_BUILD_ROOT/%_iconsdir/%name.png
%__install -D -m 644 %SOURCE6 $RPM_BUILD_ROOT/%_liconsdir/%name.png

mkdir -p $RPM_BUILD_ROOT%_menudir
%define SECT "WINE Applications/Accessories"
cat >$RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(wine): needs=x11 section="/" title="WINE Applications" icon="wine.png"
?package(wine): needs=x11 section="/WINE Applications" title="Accessories" icon="wine.png"
?package(%name): command="%{name}reboot -v" section=%SECT \\
	title="Reboot WINE system" longtitle="Reboot wine system" \\
	needs="text" icon="%name.png"
?package(%name): command="%{name}autorun" section=%SECT \\
	title="CD Autorun" longtitle="Start CD autorun now" \\
	needs="text" icon="%name.png"
?package(%name-utils): command="%{name}file" section=%SECT \\
	title="File Manager" needs="x11" icon="%name.png"
?package(%name-utils): command="%{name} progman" section=%SECT \\
	title="Program Manager" needs="x11" icon="%name.png"
?package(%name-utils): command="uninstaller" section=%SECT \\
	title="Application Uninstaller" needs="text" icon="%name.png"
?package(%name): command="wine control" section=%SECT \\
	title="Control Panel" needs="text" icon="%name.png"
?package(%name-utils): command="regedit" section=%SECT \\
	title="Registry Editor" needs="text" icon="%name.png"
?package(%name): command="wcmd" section=%SECT \\
	title="Command Prompt" needs="text" icon="%name.png"
?package(%name-utils): command="notepad" section=%SECT \\
	title="Notepad" needs="x11" icon="%name.png"
?package(%name-utils): command="winemine" section=%SECT \\
	title="Mine Sweeper" needs="x11" icon="%name.png"
?package(%name-utils): command="winecfg" section=%SECT \\
	title="Wine Configuration" needs="x11" icon="%name.png"
EOF

mkdir -p %buildroot/%_sysconfdir/ld.so.conf.d
echo "%_libdir/%name" >%buildroot/%_sysconfdir/ld.so.conf.d/wine.conf

cd %buildroot%ttfdir
%_sbindir/ttmkfdir -f %fname -o fonts.dir >& /dev/null
touch fonts.cache-1


%if %{_vendor} == "alt"
%pre
/usr/sbin/groupadd -r -f %name &>/dev/null || :


%post
%post_service %name
%update_menus
%update_desktopdb

%postun
%clean_menus
%clean_desktopdb

%preun
%preun_service %name

%endif

%post -n lib%name
%post_ldconfig

%postun -n lib%name
# remove old entries
%triggerpostun -- %name <= 20040716-alt1
subst "s,%_libdir/%name,," /etc/ld.so.conf
%postun_ldconfig

%post -n lib%{name}-arts
%post_ldconfig

%postun -n lib%{name}-arts
%postun_ldconfig

%post -n lib%{name}-twain
%post_ldconfig

%postun -n lib%{name}-twain
%postun_ldconfig

%if %{_vendor} != "alt"
%clean
rm -rf $RPM_BUILD_ROOT
%endif

%post -n %fname-fonts-ttf
%_bindir/fc-cache %ttfdir
%_sbindir/chkfontpath -q --add %ttfdir

%postun -n %fname-fonts-ttf
%_sbindir/chkfontpath -q --remove %ttfdir
		
%files -n %fname-fonts-ttf
%dir %ttfdir
%ttfdir/*.ttf
%config %ttfdir/fonts.cache-1
%config %ttfdir/fonts.dir

%files
%doc ANNOUNCE AUTHORS BUGS LICENSE README

%config(noreplace) %_initdir/*

%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png

%_bindir/wine
%_bindir/wine-*
%_bindir/regsvr32
%_bindir/wcmd
%_bindir/winecfg
%_bindir/wineprefixcreate
%_bindir/wineconsole*
%_bindir/wineserver
%_bindir/winelauncher
#%_bindir/wineclipsrv
%_bindir/wineshelllink

%_bindir/winereboot
%_bindir/wineautorun

#%_bindir/dosmod
%_man1dir/wine.1*
#%_man5dir/wine.conf.5*

%_menudir/%name
%_datadir/applications/*

%_datadir/%name

%files -n lib%name-arts
%_libdir/%name/winearts.drv.so

%files -n lib%name-twain
%_libdir/%name/twain*

%files -n lib%name
%doc LICENSE AUTHORS
%ttfdir/*.fon
%_sysconfdir/ld.so.conf.d/%name.conf
%_libdir/libwine*.so.*
%dir %_libdir/%name
#Danny: Only add libs not for utils:
%_libdir/%name/*.drv.so
%_libdir/%name/*.dll.so
%_libdir/%name/*.acm.so
%_libdir/%name/*.ocx.so
%_libdir/%name/*.vxd.so
%_libdir/%name/*.tlb.so
%exclude %_libdir/%name/twain*
%exclude %_libdir/%name/winearts.drv.so

%files -n lib%name-devel
%doc DEVELOPERS-HINTS ChangeLog BUGS LICENSE
%_libdir/%name/lib*.def
%_bindir/winebuild
%_bindir/wmc
%_bindir/wrc
%_bindir/widl
%_bindir/wineg++
%_bindir/winegcc
%_bindir/winecpp
%_bindir/winedump
%_bindir/winemaker
%_bindir/function_grep.pl
%_libdir/lib*.so
%_includedir/%name
%_datadir/aclocal/%name.m4
%_mandir/man1/wmc.1*
%_mandir/man1/wrc.1*
%_mandir/man1/widl.1*
%_mandir/man1/winebuild*

# for new WINE
%files -n lib%name-devel-doc
%doc documentation/html

%if %{_vendor} == "alt"
%files -n lib%name-devel-static
%_libdir/%name/lib*.a
%endif

%files utils
%doc LICENSE
%_bindir/msiexec
%_bindir/fnt2bdf
%_bindir/notepad
%_bindir/progman
%_bindir/regedit
%_bindir/uninstaller
%_bindir/winedbg
%_bindir/wineboot
%_bindir/winefile
%_bindir/winemine
%_bindir/winepath
%_bindir/winhelp
%_bindir/winebrowser
%attr (0755 root root) %_libdir/%name/*.exe.so
%_man1dir/wine*

%changelog
* Fri Jul 22 2005 Vitaly Lipatov <lav@altlinux.ru> 20050715-alt0.1
- new version
- see http://www.freesource.info/wiki/WINE for details

* Fri Jul 08 2005 Vitaly Lipatov <lav@altlinux.ru> 20050517-alt2
- last release with config file
- add Wine Configuration (winecfg) to menu
- fix bug #7281
- fix CD autorun script bug

* Thu Jun 16 2005 Vitaly Lipatov <lav@altlinux.ru> 20050517-eter5
- fixed wine launcher script bug

* Thu Jun 16 2005 Vitaly Lipatov <lav@altlinux.ru> 20050517-alt1
- tested version for Sisyphus

* Wed Jun 15 2005 Vitaly Lipatov <lav@altlinux.ru> 20050517-eter4
- add wine.desktop
- fix menu entries
- fix default config file (set WinXP version to imitate)
- fix autorun for html support

* Sat May 21 2005 Vitaly Lipatov <lav@altlinux.ru> 20050517-eter3
- add hack for button focus problem
- add hack for MS Office 97 SwapMouse

* Tue May 17 2005 Vitaly Lipatov <lav@altlinux.ru> 20050517-eter1
- new version
- documentation removed

* Fri May 13 2005 Vitaly Lipatov <lav@altlinux.ru> 20050304-eter2
- back to stable version

* Fri Apr 22 2005 Vitaly Lipatov <lav@altlinux.ru> 20050422-eter1
- about release 20050419

* Fri Apr 15 2005 Vitaly Lipatov <lav@altlinux.ru> 20050415-alt1
- CVS version
- fix bug #6536

* Fri Apr 08 2005 Vitaly Lipatov <lav@altlinux.ru> 20050323-alt1
- fix wine launcher
- remove path from config

* Wed Mar 23 2005 Vitaly Lipatov <lav@altlinux.ru> 20050323-eter1
- CVS version
- fix wineshelllink

* Fri Mar 04 2005 Vitaly Lipatov <lav@altlinux.ru> 20050304-eter1
- CVS version

* Mon Feb 28 2005 Vitaly Lipatov <lav@altlinux.ru> 20050225-alt1
- CVS version
- fix wine launcher and wine shelllink
- add icons for menu group
- add program defaults for wine config

* Mon Feb 14 2005 Vitaly Lipatov <lav@altlinux.ru> 20050211-alt1
- new version

* Thu Feb 03 2005 Vitaly Lipatov <lav@altlinux.ru> 20050119-alt3
- change icon to png format
- change menu entry
- enable static library build
- move lib/*.so to devel package

* Wed Jan 26 2005 Vitaly Lipatov <lav@altlinux.ru> 20050119-alt2
- start wine service after install wine package
- change menu entry

* Wed Jan 19 2005 Vitaly Lipatov <lav@altlinux.ru> 20050119-alt1
- minor changes, CVS version

* Thu Jan 13 2005 Vitaly Lipatov <lav@altlinux.ru> 20050111-alt1
- new release

* Wed Jan 05 2005 Vitaly Lipatov <lav@altlinux.ru> 20050104-alt1
- CVS version
- change menu section to WINE Applications
- wine-multiuser support improved
- developing utilities resorted
- fix verbose during update wine package

* Mon Dec 06 2004 Vitaly Lipatov <lav@altlinux.ru> 20041201-alt1
- new release

* Mon Nov 29 2004 Vitaly Lipatov <lav@altlinux.ru> 20041019-alt2
- fix for exe.so only executable
- add some locale fixes
- enable using dlls from DCOM98 by default
- add liblcms-devel dependence (for support MSCMS)

* Fri Nov 05 2004 Vitaly Lipatov <lav@altlinux.ru> 20041019-alt1
- new version
- remove strange dependences
- update packages description
- update default config
- make wine libs executable
- add uninstaller to menu

* Wed Sep 15 2004 Vitaly Lipatov <lav@altlinux.ru> 20040914-alt1
- new version
- update config

* Fri Sep 03 2004 Vitaly Lipatov <lav@altlinux.ru> 20040813-alt1
- new version
- step to ld.conf.so.d with libdir information
- add winelauncher

* Thu Jul 22 2004 Vitaly Lipatov <lav@altlinux.ru> 20040716-alt1
- new version
- fix menu file encoding
- fix cdrom path (for subfs)
- fix postun_ldconfig
- update config, set win98 version to imitate
- rewrite winereboot

* Tue Jun 22 2004 Vitaly Lipatov <lav@altlinux.ru> 20040615-alt2
- add glibc-devel-static buildreq
- move to Applications/Emulators menu section
- disable -gstabs+ gcc option for optimize objects size during compilation
- use a macro for ldconfig

* Sun Jun 20 2004 Vitaly Lipatov <lav@altlinux.ru> 20040615-alt1
- new version
- correct bug with default disk settings
- use wineprefixcreate for first tune
- do not install winelancher
- turn on wine program menu and rewrite wineshelllink script

* Thu May 20 2004 Vitaly Lipatov <lav@altlinux.ru> 20040505-alt1.1
- add link ttydrv with libtinfo (for build with new ncurses)
- build with new glibc

* Fri May 14 2004 Vitaly Lipatov <lav@altlinux.ru> 20040505-alt1
- new version
- default config file synchronized with original

* Sat Apr 10 2004 Vitaly Lipatov <lav@altlinux.ru> 20040408-alt1
- new version

* Tue Apr 06 2004 Vitaly Lipatov <lav@altlinux.ru> 20040309-alt2
- remove require ms-fonts-ttf
- move winearts.drv.so to separate package libwine-arts
- move twine to separate package libwine-twain

* Sun Mar 14 2004 Vitaly Lipatov <lav@altlinux.ru> 20040309-alt1
- new version
- fix bug with /usr/lib/wine permissions
- add menu entries for autorun and reboot

* Tue Feb 17 2004 Vitaly Lipatov <lav@altlinux.ru> 20040121-alt1
- disable devel-static
- add documentation in separate packages
- fix bug with wine-glibc
- update default config
- add icon for wine
- patch for winhelp

* Sun Jan 25 2004 Vitaly Lipatov <lav@altlinux.ru> 20040121-alt0.2
- new version
- clean up spec
- add winetest and winebrowser
- tested with some programs

* Tue Dec 16 2003 Vitaly Lipatov <lav@altlinux.ru> 20031212-alt1
- new version
- winetest build disabled
- tested with 1C 7.7, FineReader Sprint 5.0, Microsoft Word/Excel 97

* Sat Dec 06 2003 Vitaly Lipatov <lav@altlinux.ru> 20031118-alt1
- new version
- add libwine-devel-static package
- rewrite spec (consult with WineX spec and wine spec from ASP Linux)
- fix %build missing (bug #3339 from wrar-alt@mail.ru)
- disable start wine-config.pl from wine
- exclude kde requires from wineshelllink (bug #3360)
- build ntpl enable
- bulld with curses support again

* Mon Oct 27 2003 Vitaly Lipatov <lav@altlinux.ru> 20031016-alt1
- new version

* Thu Sep 25 2003 Vitaly Lipatov <lav@altlinux.ru> 20030911-alt1
- new version
- add Provides: libntdll.dll.so

* Wed Apr 16 2003 Vitaly Lipatov <lav@altlinux.ru> 20030408-alt1
- new snapshot
- build without arts support

* Tue Apr 01 2003 Vitaly Lipatov <lav@altlinux.ru> 20030318-alt1
- new snapshot
- build without curses (ttydrv) support due build problem with acs_map
- update buildrequires

* Thu Nov 21 2002 AEN <aen@altlinux.ru> 20021031-alt4
- %_libdir/lib* moved to lib%name package

* Tue Nov 19 2002 AEN <aen@altlinux.ru> 20021031-alt3
- installation scripts fixed

* Sun Nov 10 2002 AEN <aen@altlinux.ru> 20021031-alt2
- header files moved to right place

* Sun Nov 10 2002 AEN <aen@altlinux.ru> 20021031-alt1
- new version
- spec rewritten
- new patches from MDK,RH & Debian
- new Alt config

* Tue Nov 20 2001 Dmitry V. Levin <ldv@alt-linux.org> 20011004-alt4
- Specfile cleanup.
- Rewritten startup script.
- Fixed typo in %{name}launcher.
- Added libwine_uuid.a to devel subpackage.

* Fri Oct 19 2001 AEN <aen@logic.ru> 20011004-alt3
- wineshelllink removed

* Wed Oct 17 2001 AEN <aen@logic.ru> 20011004-alt2
- wine group added in %pre

* Tue Oct 16 2001 AEN <aen@logic.ru> 20011004-alt1
- 20011004

* Tue Oct 16 2001 AEN <aen@logic.ru> 20010824-alt1
- 20010824

* Tue Sep 18 2001 AEN <aen@logic.ru> 20010731-alt2
- fixed documentation in package

* Tue Sep 18 2001 AEN <aen@logic.ru> 20010731-alt1
- alt1,2 patches

* Tue Sep 11 2001 Stefan van der Eijk <stefan@eijk.nu> 20010731-2mdk
- BuildRequires: sgml-tools
- Remove redundant BuildRequires: glibc-devel, XFree86-devel

* Mon Aug 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20010731-1mdk
- 20010731.
- Rework completly the specfile (move wine from /usr/X11R6 in /usr).
- Add binfmt service to let use launch .exe file directly with wine.
- Merge rh changes.
- Requires latest setup for wine user.

* Thu Jul 12 2001 David BAUDENS <baudens@mandrakesoft.com> 20010629-1mdk
- 20010629

* Fri Jun  8 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20010510-1mdk
- 20010510.

* Sun Apr 22 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20010418-1mdk
- 20010418.

* Tue Mar 27 2001 David BAUDENS <baudens@mandrakesoft.com> 20010326-1mdk
- 20010326

* Sun Mar 18 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20010305-1mdk
- Add /usr/X11R6/lib/wine to ld.so.conf.
- Rewrote all automaticall detection scripts and default config.
- 20010305.

* Thu Dec 07 2000 David BAUDENS <baudens@mandrakesoft.com> 20001202-1mdk
- 20001202
- Disable optimizations for this release (don't build)

* Tue Nov 28 2000 David BAUDENS <baudens@mandrakesoft.com> 20001026-4mdk
- Move libraries in %%prefix/lib/wine

* Tue Nov 28 2000 David BAUDENS <baudens@mandrakesoft.com> 20001026-3mdk
- Add flex bison (Frederic CROZAT) and Mesa-common-devel to BuildRequires
- Little spec clean up

* Fri Nov 10 2000 David BAUDENS <baudens@mandrakesoft.com> 20001026-2mdk
- Build with glibc-2.2 & gcc-2.96

* Fri Oct 27 2000 David BAUDENS <baudens@mandrakesoft.com> 20001026-1mdk
- 20001026

* Wed Oct 04 2000 David BAUDENS <baudens@mandrakesoft.com> 20001002-1mdk
- 20001002

* Mon Sep 11 2000 David BAUDENS <baudens@mandrakesoft.com> 20000909-1mdk
- 20000909

* Tue Sep 05 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-5mdk
- Rebuild with right options

* Sun Sep 03 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-4mdk
- Allow to use without install devel package

* Sat Aug 26 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-3mdk
- Add packager tag

* Tue Aug 22 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-2mdk
- Add librpcrt4.so in devel package

* Tue Aug 22 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-1mdk
- 20000821
- Make RPMLint happy (thanks to Guillaume COTTENCEAU)
- Split in two packages (devel and non devel)

* Mon Aug 14 2000 David BAUDENS <baudens@mandrakesoft.com> 20000801-2mdk
- Fix macro disastear
- Enable OpenGL - It needs a lot of tests, so please report bugs
- Some little enhancements in wine-config
- Back in /usr/X11R6
- Spec clean up

* Tue Aug 08 2000 Geoffrey Lee <snailtalk2mandrakesoft.com> 20000801-1mdk
- s|20000716|20000801|
- *real* macrosifications

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 20000716-2mdk
- automatically added BuildRequires

* Wed Jul 19 2000 David BAUDENS <baudens@mandrakesoft.com> 20000716-1mdk
- 20000716
- BM
- Move into /usr

* Mon Jul 10 2000 David BAUDENS <baudens@mandrakesoft.com> 20000614-1mdk
- 20000614
- Make Pixel happy

* Sat May 27 2000 David BAUDENS <baudens@mandrakesoft.com> 20000526-1mdk
- 20000526

* Mon May 01 2000 David BAUDENS <baudens@mandrakesoft.com> 20000430-1mdk
- 20000430
- spec cleanup
- Update URL
- Update LICENSE

* Tue Apr 18 2000 Warly <warly@mandrakesoft.com> 20000326-3mdk
- New group

* Tue Mar 30 2000 David BAUDENS <baudens@mandrakesoft.com> 20000326-2mdk
- Fix wine-config

* Mon Mar 27 2000 David BAUDENS <baudens@mandrakesoft.com> 20000326-1mdk
- 20000326

* Sun Mar 26 2000 David BAUDENS <baudens@mandrakesoft.com> 20000227-2mdk
- Use new group
- Clean up spec

* Wed Mar 01 2000 David BAUDENS <baudens@mandrakesoft.com> 20000227-1mdk
- 20000227

* Thu Dec 09 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Build with new Mesa

* Fri Nov 18 1999 - David BAUDNS <baudens@mandrakesoft.com>
- 991114

* Mon Nov 01 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 991031
- Add i486, i686 and k6 arch
- Delete all locale summary and description (it's in po now)

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990923

* Thu Aug 05 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Fix an old bug in the spec (Thanks dark chmouel)

* Thu Aug 05 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Updated to 19990731

* Wed Jul 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix %post script syntax.

* Tue Jul  6 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990704
	* windows/*.c, ole/*.c, files/*.c, multimedia/*.c:
	Converted to the new debug interface, using script written by Patrik
	Stridvall.

* Thu May 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fixed %post scripts.
- Upgrade Prereq.

* Wed May 19 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 990518
- --enable-dll
- add de locale
- ignore RPM_OPT_FLAGS - Wine segfaults if compiled with more optimizations
  than -O2.

* Wed May 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake 6.0 adaptations.
- 990508

* Tue Apr 05 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990328.

* Tue Mar 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990314
- Fix in the wine-config postinstall script.

* Sun Jan 03 1999 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- deleted the %post %postun of package wine-debug (no more needed since
  the wrapper does now the job)
- make use of %prefix definition; now changing almost one line you can
  choose wether you want to install in /usr/local or /usr or %prefix
- changed %post so it is only done the *first* time it is installed
  (otherwise people will hate us for doing weird things whith their
  hand made configurations)

* Tue Dec 29 1998 Chmouel Boudjnah <crbc@club-internet.fr>
- Adding speciale wine-conf for mandrake
- Adding postinstall script
- Changing the ./configure to put wine.conf in /etc and prefix on %prefix
- First version receveid from Pablo Saratxaga <srtxg@chanae.alphanet.ch>
